{
===============================================================================
  Copyright (©) 2001. Rodax Software.
===============================================================================
  Los contenidos de este fichero son propiedad de Rodax Software titular del
  copyright. Este fichero sólo podrá ser copiado, distribuido y utilizado,
  en su totalidad o en parte, con el permiso escrito de Rodax Software, o de
  acuerdo con los términos y condiciones establecidas en el acuerdo/contrato
  bajo el que se suministra.
  -----------------------------------------------------------------------------
  Web:  www.rodax-software.com
===============================================================================
  Fecha primera versión: 08-10-2004
  Versión actual: 1.0.0
  Fecha versión actual: 08-10-2004
===============================================================================
  Modificaciones:

    Fecha         Comentarios
    ---------------------------------------------------------------------------
===============================================================================
}

unit BuscarArticuloFabPro;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  BuscarArticulo, StdCtrls, RdxCampos, RdxComboBox, RdxTitulos, RdxBotones,
  ExtCtrls, RdxPaneles, RdxBarras;

type
  TfrBuscarArticuloFabPro = class(TfrBuscarArticulo)
    CodArtFab: TRdxEdit;
    eCodigoFabricante: TLabel;
    CodArtPro: TRdxEdit;
    eCodigoProveedor: TLabel;
    
  private
    procedure RecogerDatos; override;
  public
    constructor Create (AOwner : TComponent); override;
  end;

var
  frBuscarArticuloFabPro: TfrBuscarArticuloFabPro;

implementation

{$R *.DFM}
{ TfrBuscarArticuloFabPro }

constructor TfrBuscarArticuloFabPro.Create(AOwner: TComponent);
begin
  inherited;

  Contador := -1;
  Campos := '';
  Valores := VarArrayOf([null, null, null, null, null]);

  with TablaArticulos do begin
    Codigo.MaxLength := FieldByName('CODIGO').Size;
    Descripcion.MaxLength := FieldByName('DESCRIPCION').Size;
  end;
end;

procedure TfrBuscarArticuloFabPro.RecogerDatos;
begin
  inherited;

  if Length(Trim(CodArtFab.Text)) > 0 then
  begin
    Contador := Contador + 1;
    if Contador > 0 then
      Campos := Campos + ';';
    Campos := Campos + 'CODARTFABRICANTE';
    Valores[Contador] := Trim(CodArtFab.Text);
  end;

  if Length(Trim(CodArtPro.Text)) > 0 then
  begin
    Contador := Contador + 1;
    if Contador > 0 then
      Campos := Campos + ';';
    Campos := Campos + 'CODARTPROVEEDOR';
    Valores[Contador] := Trim(CodArtPro.Text);
  end;
end;

end.
